import _taggedTemplateLiteralLoose from "@babel/runtime/helpers/esm/taggedTemplateLiteralLoose";
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9, _templateObject10, _templateObject11, _templateObject12, _templateObject13, _templateObject14, _templateObject15, _templateObject16, _templateObject17, _templateObject18, _templateObject19, _templateObject20, _templateObject21, _templateObject22, _templateObject23, _templateObject24, _templateObject25, _templateObject26, _templateObject27, _templateObject28, _templateObject29, _templateObject30, _templateObject31, _templateObject32, _templateObject33;
import { css, memoizeStyle } from "../../../lib/theming/Emotion";
export var styles = memoizeStyle({
  paging: function paging() {
    return css(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n      user-select: none;\n      outline: 0;\n      display: inline-block;\n      font-variant-numeric: tabular-nums;\n    "])));
  },
  pagingMobile: function pagingMobile() {
    return css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n      text-wrap-mode: nowrap;\n    "])));
  },
  /** @deprecated Это стиль старого размера `Paging`. Мы планируем удалить его в `6.0` */
  pagingLegacy: function pagingLegacy(t) {
    return css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n      font-size: ", ";\n      line-height: ", ";\n      font-variant-numeric: normal;\n    "])), t.pagingFontSize, t.pagingLineHeight);
  },
  pagingSmall: function pagingSmall(t) {
    return css(_templateObject4 || (_templateObject4 = _taggedTemplateLiteralLoose(["\n      font-size: ", ";\n      line-height: ", ";\n    "])), t.pagingFontSizeSmall, t.pagingLineHeightSmall);
  },
  pagingMedium: function pagingMedium(t) {
    return css(_templateObject5 || (_templateObject5 = _taggedTemplateLiteralLoose(["\n      font-size: ", ";\n      line-height: ", ";\n    "])), t.pagingFontSizeMedium, t.pagingLineHeightMedium);
  },
  pagingLarge: function pagingLarge(t) {
    return css(_templateObject6 || (_templateObject6 = _taggedTemplateLiteralLoose(["\n      font-size: ", ";\n      line-height: ", ";\n    "])), t.pagingFontSizeLarge, t.pagingLineHeightLarge);
  },
  pagingDisabled: function pagingDisabled() {
    return css(_templateObject7 || (_templateObject7 = _taggedTemplateLiteralLoose(["\n      pointer-events: none;\n    "])));
  },
  dots: function dots(t) {
    return css(_templateObject8 || (_templateObject8 = _taggedTemplateLiteralLoose(["\n      color: ", ";\n      display: inline-block;\n    "])), t.pagingDotsColor);
  },
  /** @deprecated Это стиль старого размера `Paging`. Мы планируем удалить его в 6.0 */
  dotsLegacy: function dotsLegacy(t) {
    return css(_templateObject9 || (_templateObject9 = _taggedTemplateLiteralLoose(["\n      padding: ", ";\n    "])), t.pagingDotsPadding);
  },
  dotsSmall: function dotsSmall(t) {
    return css(_templateObject10 || (_templateObject10 = _taggedTemplateLiteralLoose(["\n      line-height: 0;\n      padding: ", ";\n    "])), t.pagingDotsPaddingSmall);
  },
  dotsMedium: function dotsMedium(t) {
    return css(_templateObject11 || (_templateObject11 = _taggedTemplateLiteralLoose(["\n      line-height: 0;\n      padding: ", ";\n    "])), t.pagingDotsPaddingMedium);
  },
  dotsLarge: function dotsLarge(t) {
    return css(_templateObject12 || (_templateObject12 = _taggedTemplateLiteralLoose(["\n      line-height: 0;\n      padding: ", ";\n    "])), t.pagingDotsPaddingLarge);
  },
  dotsDisabled: function dotsDisabled(t) {
    return css(_templateObject13 || (_templateObject13 = _taggedTemplateLiteralLoose(["\n      color: ", ";\n    "])), t.pagingDotsDisabledColor);
  },
  forwardLink: function forwardLink(t) {
    return css(_templateObject14 || (_templateObject14 = _taggedTemplateLiteralLoose(["\n      color: ", ";\n      cursor: pointer;\n      display: inline-block;\n      outline: none;\n      position: relative;\n      text-decoration: none;\n      user-select: none;\n      vertical-align: top;\n    "])), t.pagingForwardLinkColor);
  },
  /** @deprecated Это стиль старого размера `Paging`. Мы планируем удалить его в 6.0 */
  forwardLinkLegacy: function forwardLinkLegacy(t) {
    return css(_templateObject15 || (_templateObject15 = _taggedTemplateLiteralLoose(["\n      margin-top: ", ";\n      margin-left: ", ";\n      padding-right: ", ";\n    "])), t.pagingPageForwardLinkMarginTop, t.pagingPageForwardLinkMarginLeft, t.pagingPageForwardLinkPaddingRight);
  },
  forwardLinkSmall: function forwardLinkSmall(t) {
    return css(_templateObject16 || (_templateObject16 = _taggedTemplateLiteralLoose(["\n      padding: ", ";\n    "])), t.pagingForwardLinkPaddingSmall);
  },
  forwardLinkMedium: function forwardLinkMedium(t) {
    return css(_templateObject17 || (_templateObject17 = _taggedTemplateLiteralLoose(["\n      padding: ", ";\n    "])), t.pagingForwardLinkPaddingMedium);
  },
  forwardLinkLarge: function forwardLinkLarge(t) {
    return css(_templateObject18 || (_templateObject18 = _taggedTemplateLiteralLoose(["\n      padding: ", ";\n    "])), t.pagingForwardLinkPaddingLarge);
  },
  forwardLinkMediumMobile: function forwardLinkMediumMobile(t) {
    return css(_templateObject19 || (_templateObject19 = _taggedTemplateLiteralLoose(["\n      line-height: ", ";\n      padding: ", ";\n    "])), t.pagingFontSizeMedium, t.pagingForwardLinkPaddingMediumMobile);
  },
  forwardLinkLargeMobile: function forwardLinkLargeMobile(t) {
    return css(_templateObject20 || (_templateObject20 = _taggedTemplateLiteralLoose(["\n      line-height: ", ";\n      padding: ", ";\n    "])), t.pagingFontSizeLarge, t.pagingForwardLinkPaddingLargeMobile);
  },
  forwardLinkDisabled: function forwardLinkDisabled(t) {
    return css(_templateObject21 || (_templateObject21 = _taggedTemplateLiteralLoose(["\n      color: ", ";\n      pointer-events: none;\n    "])), t.pagingForwardLinkDisabledColor);
  },
  pageLinkWrapper: function pageLinkWrapper() {
    return css(_templateObject22 || (_templateObject22 = _taggedTemplateLiteralLoose(["\n      display: inline-flex;\n      flex-flow: column nowrap;\n      text-align: center;\n      user-select: none;\n      vertical-align: top;\n    "])));
  },
  pageLink: function pageLink(t) {
    return css(_templateObject23 || (_templateObject23 = _taggedTemplateLiteralLoose(["\n      box-sizing: ", ";\n      border-radius: ", ";\n      color: ", ";\n      cursor: pointer;\n      display: block;\n      outline: none;\n      text-decoration: none;\n\n      &:hover {\n        background-color: ", ";\n        transition: background-color ", " ", ";\n      }\n\n      &:active {\n        background-color: ", ";\n      }\n    "])), t.pagingPageLinkBoxSizing, t.pagingPageLinkBorderRadius, t.pagingPageLinkColor, t.pagingPageLinkHoverBg, t.transitionDuration, t.transitionTimingFunction, t.pagingPageLinkActiveBg);
  },
  /** @deprecated Это стиль старого размера `Paging`. Мы планируем удалить его в 6.0 */
  pageLinkLegacy: function pageLinkLegacy(t) {
    return css(_templateObject24 || (_templateObject24 = _taggedTemplateLiteralLoose(["\n      margin: ", ";\n      min-width: ", ";\n      padding: ", " ", ";\n    "])), t.pagingPageLinkMargin, t.pagingPageLinkMinWidth, t.pagingPageLinkPaddingY, t.pagingPageLinkPaddingX);
  },
  pageLinkSmall: function pageLinkSmall(t) {
    return css(_templateObject25 || (_templateObject25 = _taggedTemplateLiteralLoose(["\n      padding: ", " ", ";\n    "])), t.pagingPageLinkPaddingYSmall, t.pagingPageLinkPaddingXSmall);
  },
  pageLinkMedium: function pageLinkMedium(t) {
    return css(_templateObject26 || (_templateObject26 = _taggedTemplateLiteralLoose(["\n      padding: ", " ", ";\n    "])), t.pagingPageLinkPaddingYMedium, t.pagingPageLinkPaddingXMedium);
  },
  pageLinkLarge: function pageLinkLarge(t) {
    return css(_templateObject27 || (_templateObject27 = _taggedTemplateLiteralLoose(["\n      padding: ", " ", ";\n    "])), t.pagingPageLinkPaddingYLarge, t.pagingPageLinkPaddingXLarge);
  },
  pageLinkDisabled: function pageLinkDisabled(t) {
    return css(_templateObject28 || (_templateObject28 = _taggedTemplateLiteralLoose(["\n      color: ", ";\n      pointer-events: none;\n    "])), t.linkDisabledColor);
  },
  pageLinkCurrent: function pageLinkCurrent(t) {
    return css(_templateObject29 || (_templateObject29 = _taggedTemplateLiteralLoose(["\n      cursor: default;\n      background-color: ", " !important;\n      color: ", ";\n    "])), t.pagingPageLinkActiveBg, t.pagingPageLinkActiveColor);
  },
  pageLinkCurrentDisabled: function pageLinkCurrentDisabled(t) {
    return css(_templateObject30 || (_templateObject30 = _taggedTemplateLiteralLoose(["\n      background-color: ", " !important;\n      color: ", ";\n    "])), t.pagingPageLinkDisabledActiveBg, t.linkDisabledColor);
  },
  pageLinkFocused: function pageLinkFocused(t) {
    return css(_templateObject31 || (_templateObject31 = _taggedTemplateLiteralLoose(["\n      ", "\n    "])), "\n          box-shadow: 0 0 0 2px " + t.borderColorFocus + ";\n        ");
  },
  transparent: function transparent() {
    return css(_templateObject32 || (_templateObject32 = _taggedTemplateLiteralLoose(["\n      color: transparent;\n    "])));
  },
  pageLinkHint: function pageLinkHint(t) {
    return css(_templateObject33 || (_templateObject33 = _taggedTemplateLiteralLoose(["\n      display: inline-block;\n      margin: ", ";\n      font-size: ", ";\n      height: ", ";\n      line-height: ", ";\n      color: ", ";\n    "])), t.pagingPageLinkHintMargin, t.pagingPageLinkHintFontSize, t.pagingPageLinkHintLineHeight, t.pagingPageLinkHintLineHeight, t.pagingPageLinkHintColor);
  }
});